Bug 736346 - make initgroups (setgroups) thread aware
Summary: make initgroups (setgroups) thread aware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 6.2
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 722583 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:15 UTC by Petr Matousek
Modified: 2017-02-07 13:13 UTC (History)
3 users (show)

Fixed In Version: glibc-2.12-1.40.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:48:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Petr Matousek 2011-09-07 13:15:15 UTC
Description of problem:

When calling set*id after creating threads recent glibc does cross thread
signalling so that *id are set in all threads. When using raw syscalls or not
glibc, *id is set for the calling thread only.

initgroups (setgroups) in rhel glibc is not working that way. we are
missing upstream commit 70181fddf1467996bea393d13294ffe76b8a0853.

This blocks RHEL6 fix for CVE-2011-2527 (initgroups is called after multiple thread creation).

Comment 5 errata-xmlrpc 2011-12-06 17:48:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.